﻿using AIWolf.Lib;

namespace WhiteWolf.ActionPlan
{
    /// <summary>
    /// 行動の予定
    /// </summary>
    public interface IActionPlan
    {
        /// <summary>投票対象</summary>
        Agent VoteTarget { get; }

        /// <summary>襲撃対象</summary>
        Agent AttackTarget { get; }

        /// <summary>護衛対象</summary>
        Agent GuardTarget { get; }

        /// <summary>占い対象</summary>
        Agent DivineTarget { get; }
    }
}
