﻿using AIWolf.Lib;

namespace WhiteWolf.Arrangement
{
    public interface ITalkEncoder
    {
        /// <summary>
        /// 発話内容から人狼知能プロトコルを取得する
        /// </summary>
        /// <param name="agent">発話エージェント</param>
        /// <param name="text">発話内容</param>
        Content Encode(Agent agent, string text);
    }
}
