﻿using AIWolf.Lib;
using System.Collections.Generic;

namespace WhiteWolf.ActionPlan
{
    public class ActionPlan : IActionPlan
    {
        public Agent VoteTarget { get; }

        public Agent AttackTarget { get; }

        public Agent GuardTarget { get; }

        public Agent DivineTarget { get; }

        public IEnumerable<IPartActionRequest> PartActionRequests { get; }

        public ActionPlan(Agent voteTarget, Agent attackTarget, Agent guardTarget, Agent divineTarget, IEnumerable<IPartActionRequest> partActionRequests)
        {
            VoteTarget = voteTarget;
            AttackTarget = attackTarget;
            GuardTarget = guardTarget;
            DivineTarget = divineTarget;
            PartActionRequests = partActionRequests;
        }
    }
}
