﻿using AIWolf.Lib;

namespace WhiteWolf.ActionPlan
{
    /// <summary>
    /// 行動の要求度
    /// </summary>
    public interface IPartActionRequest
    {
        /// <summary>対象のエージェント</summary>
        Agent Agent { get; }

        /// <summary>追放投票の要求度</summary>
        double Vote { get; }

        /// <summary>占いの要求度</summary>
        double Divine { get; }

        /// <summary>護衛の要求度</summary>
        double Guard { get; }

        /// <summary>襲撃投票の要求度</summary>
        double Attack { get; }
    }
}
